Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event
Interface EventSource

All Superinterfaces:
  Serializable, Session, SessionImplementor

All Known Implementing Classes:
  SessionImpl

    public interface EventSource

extends SessionImplementor, Session

Author:
  Gavin King

Method Summary
`void` | `delete(String entityName, Object child, boolean isCascadeDeleteEnabled, Set transientEntities)` Cascade delete an entity instance
`void` | `forceFlush(EntityEntry e)` Force an immediate flush
`ActionQueue` | `getActionQueue()` Get the ActionQueue for this session
`Object` | `instantiate(EntityPersister persister, Serializable id)` Instantiate an entity instance, using either an interceptor, or the given persister
`void` | `merge(String entityName, Object object, Map copiedAlready)` Cascade merge an entity instance
`void` | `persist(String entityName, Object object, Map createdAlready)` Cascade persist an entity instance
`void` | `persistOnFlush(String entityName, Object object, Map copiedAlready)` Cascade persist an entity instance during the flush process
`void` | `refresh(Object object, Map refreshedAlready)` Cascade refesh an entity instance
`void` | `saveOrUpdateCopy(String entityName, Object object, Map copiedAlready)` Cascade copy an entity instance

Methods inherited from interface org.hibernate.engine.SessionImplementor
`afterScrollOperation, afterTransactionCompletion, beforeTransactionCompletion, bestGuessEntityName, connection, executeNativeUpdate, executeUpdate, flush, getBatcher, getCacheMode, getContextEntityIdentifier, getDontFlushFromFind, getEnabledFilters, getEntityMode, getEntityPersister, getEntityUsingInterceptor, getFactory, getFetchProfile, getFilterParameterType, getFilterParameterValue, getFlushMode, getInterceptor, getJDBCContext, getListeners, getNamedQuery, getNamedSQLQuery, getPersistenceContext, getTimestamp, guessEntityName, immediateLoad, initializeCollection, instantiate, internalLoad, isClosed, isConnected, isEventSource, isOpen, isTransactionInProgress, iterate, iterateFilter, list, list, list, listCustomQuery, listFilter, scroll, scroll, scroll, scrollCustomQuery, setAutoClear, setCacheMode, setFetchProfile, setFlushMode`

Methods inherited from interface org.hibernate.Session
`beginTransaction, cancelQuery, clear, close, connection, contains, createCriteria, createCriteria, createCriteria, createCriteria, createFilter, createQuery, createSQLQuery, delete, delete, disableFilter, disconnect, enableFilter, evict, flush, get, get, get, get, getCacheMode, getCurrentLockMode, getEnabledFilter, getEntityMode, getEntityName, getFlushMode, getIdentifier, getNamedQuery, getSession, getSessionFactory, getStatistics, getTransaction, isConnected, isDirty, isOpen, load, load, load, load, load, lock, lock, merge, merge, persist, persist, reconnect, reconnect, refresh, refresh, replicate, replicate, save, save, saveOrUpdate, saveOrUpdate, setCacheMode, setFlushMode, setReadOnly, update, update`

Method Detail

### getActionQueue

    ActionQueue getActionQueue()

  Get the ActionQueue for this session

### instantiate

    Object instantiate(EntityPersister persister,
                       Serializable id)
                       throws HibernateException

  Instantiate an entity instance, using either an interceptor, or the given persister

  Throws:
    `HibernateException`

### forceFlush

    void forceFlush(EntityEntry e)
                    throws HibernateException

  Force an immediate flush

  Throws:
    `HibernateException`

### merge

    void merge(String entityName,
               Object object,
               Map copiedAlready)
               throws HibernateException

  Cascade merge an entity instance

  Throws:
    `HibernateException`

### persist

    void persist(String entityName,
                 Object object,
                 Map createdAlready)
                 throws HibernateException

  Cascade persist an entity instance

  Throws:
    `HibernateException`

### persistOnFlush

    void persistOnFlush(String entityName,
                        Object object,
                        Map copiedAlready)

  Cascade persist an entity instance during the flush process

### refresh

    void refresh(Object object,
                 Map refreshedAlready)
                 throws HibernateException

  Cascade refesh an entity instance

  Throws:
    `HibernateException`

### saveOrUpdateCopy

    void saveOrUpdateCopy(String entityName,
                          Object object,
                          Map copiedAlready)
                          throws HibernateException

  Cascade copy an entity instance

  Throws:
    `HibernateException`

### delete

    void delete(String entityName,
                Object child,
                boolean isCascadeDeleteEnabled,
                Set transientEntities)

  Cascade delete an entity instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD